const SECOND = 1e3;
const MINUTE = 60 * SECOND;
const HOUR = 60 * MINUTE;
var StatusEnum = /* @__PURE__ */ ((StatusEnum2) => {
  StatusEnum2["ERROR"] = "error";
  StatusEnum2["IDLE"] = "idle";
  StatusEnum2["LOADING"] = "loading";
  StatusEnum2["SUCCESS"] = "success";
  return StatusEnum2;
})(StatusEnum || {});
const KEY_IS_NOT_STRING_ERROR = "Key should be a string";
const DEFAULT_MAX_CONCURRENT_REQUESTS = 20;
const POLLING_INTERVAL = {
  "10S": 10 * SECOND,
  "5S": 5 * SECOND,
  "3S": 3 * SECOND
};
const DATALIFE_TIME = {
  "2h": 2 * HOUR,
  "1h": 1 * HOUR,
  "5m": 5 * MINUTE,
  "3m": 3 * MINUTE,
  "1m": 1 * MINUTE,
  "30S": 30 * SECOND,
  "10S": 10 * SECOND,
  "5S": 5 * SECOND,
  NONE: 0
};
export {
  DATALIFE_TIME,
  DEFAULT_MAX_CONCURRENT_REQUESTS,
  KEY_IS_NOT_STRING_ERROR,
  POLLING_INTERVAL,
  StatusEnum
};
