import type { KeyType, PromiseType, UseDataLoaderConfig, UseDataLoaderResult } from './types';
export declare const useDataLoader: <ResultType = unknown, ErrorType = Error>(key: KeyType, method: () => PromiseType<ResultType>, { enabled, onError, onSuccess, keepPreviousData, needPolling, pollingInterval, initialData, dataLifetime, }?: UseDataLoaderConfig<ResultType, ErrorType>) => UseDataLoaderResult<ResultType, ErrorType>;
